package com.jay.monitor.data.server.services;

import com.jay.monitor.data.server.models.request.route.RouteDataRequest;
import com.jay.monitor.data.server.models.response.RouteDataResponse;

import java.util.List;

/**
 * 路由数据获取管理
 *
 * @author : liukx
 * @date : 2019/3/1 - 10:23
 */
public interface IRouteDataService {

    /**
     * 获取路由数据管理信息
     *
     * @param routeDataRequest
     * @return
     */
    List<RouteDataResponse> getData(RouteDataRequest routeDataRequest);

}
